DCLEAN(8)

NAME
dclean - Diablo program to clean out stale spool files

SYNOPSIS
dclean [ -q ] [ -q2 ] [ -v ] [ -r ] [ spool-directory ]

DESCRIPTION
Dclean

NOTICE NOTICE NOTICE -- DCLEAN HAS BEEN DEPRECIATED AND IS AN EMPTY SHELL NOW

scans all spool directories by default, or the specific spool directory you name, and prints and/or removes any diablo spool file that is either marked expired in the dhistory database, or does not exist at all in the dhistory database. DClean should nominally be run once a day to keep your spool sparkling, but you can get away with running it once a week if you do not have the cpu cycles. In a properly running system, DClean should not find any files to remove. DClean will tend to find files after, say, a crash, or an unclean shutdown.

-r Tell dclean to remove files. Otherwise it just prints out the files it finds.

-v

This option undos the -q option. -q DClean normally prints out every file it determines should be removed. This option surpresses this.

-q2 DClean normally reports the number of files removed at the end of its run. This prevents any verbose printing or end-run reporting from occuring.

DClean may be run concurrent to the diablo server or with other dclean's. Since it does not need to actually open any of the files it scans, it is reasonably efficient. However, a typical news server taking a full feed may have several million article files and it is not suggested that you run DClean more often then once a day... and less often if you do not have the cycles to spare for it.

SEE ALSO
diablo(8), dclean(8), dicmd(8), didump(8), diload(8), dnewslink(8), doutq(8), dexpire(8), dexpireover(8), diconvhist(8), dilookup(8), dspoolout(8), dkp(8), dpath(8), diablo-kp(5), diablo-files(5)